
	var indice = -3;
 
 /*
 window.onbeforeunload = confirmaSalida;  
 
function confirmaSalida()  
{    
 
              return "Abandonará esta pagina. Si ha hecho algun cambio sin guardar perderá todos los datos. ¿Está seguro?";  
 
 
}


 */
 
 
	$(document).ready(function () {
		
	
	   
				 
		 
		 $("body").keydown(function(e){
				if ((e.keyCode || e.which) == 37)
				{   					
					if(indice==-3){		
						
					}else{						
					$('.back').trigger('click');
					}
				}
				if ((e.keyCode || e.which) == 39)
				{							
					if(indice==19){						
					}else{
						$('.next').trigger('click');							
					}
				} 			 			
		});
				
  
			 
	});
	//fin ready
	
	function base_url() {
		var pathparts = location.pathname.split('/');
		if (location.host == 'localhost') {
			var url = location.origin+'/'+pathparts[1].trim('/')+'/';  
		}else if (location.host == 'farma.facmed.unam.mx') {
			var url = location.origin+'/'+pathparts[1].trim('/')+'/diabetes/';
		}else{
				var url = location.origin+'/'+pathparts[1].trim('/')+'/'; 
		}
		console.log('url: '+url);
		return url;
	}

	
	function validarRespuesta(elemento){		
	 
	 var name = 'respuesta['+elemento+']';
 		
		console.log(elemento);
		console.log(name);
		
		if ($( 'input[name="'+ name +'"]' ).is(":checked")) {
		 
			$("#retroBoton"+elemento).show();
			 
		}  	
	}
	
  
	function ocultarSliders(){	
		$('#sliders .contenerdorSlide').hide(); 	
	}

	function irSlide(indiceParam,tema){
		$('#sliders').show(); 
		$('.back').show(); 
		$('#sliders').css('margin-top','68px'); 
		ocultarSliders();
		if(indiceParam == 'intro'){
			indice = -2;
			$('#portada').hide();
			$('#objetivos').hide();
			$('#introduccion').show(); 
		}else if(indiceParam == 'inicio'){
			indice = -3;
			$('#portada').show();
			$('#objetivos').hide();
			$('#introduccion').hide();
			
		
		}else{		
			indice = indiceParam;
			$('#portada,#introduccion,#objetivos').hide();		
			$('#sliders .contenerdorNum'+indiceParam).show(); 
		}
		
		if(indiceParam == 'objetivo' && tema == 1){
			 $('#sliders').hide(); 
			indice = -1;
			$('#portada').hide();
			$('#introduccion').hide();
			$('#objetivos').show(); 				
		}
		if(indiceParam == 'objetivo' && tema == 2){
			
			indice = -1;
			$('#portada').hide();
			$('#introduccion').hide();
			$('#objetivos').show();	
			$('#sliders').hide(); 	


			$('html, body').animate({
                    scrollTop: $("#competencias").offset().top-80
                }, 1000);	

				
		}
		if(indiceParam == 'objetivo' && tema == 3){
				

			indice = -1;
			$('#portada').hide();
			$('#introduccion').hide();
			$('#objetivos').show();	
$('#sliders').hide(); 

$('html, body').animate({
                    scrollTop: $("#materiales").offset().top-80
                }, 1000);			
		} 
		
		
		 
		mostrarReferencias(indiceParam);
		console.log('Goto index: '+indice);
		closeNav();	
	}
	
	
	
	function mostrarReferencias(indiceParam){
		
			if(indiceParam == 17){
				$('#referencias').show();
				$('.next').show(); 				
			}else{
				$('#referencias').hide(); 				
			}
			if(indiceParam == 18){
				$('#agradecimientos').show(); 
				$('.next').show(); 				
				
			}else{
				$('#agradecimientos').hide(); 	
				$('.next').show(); 				
				
			}
			if(indiceParam == 19){
				$('#glosario').show(); 
				$('.next').hide(); 				
				
			}else{
				$('#glosario').hide(); 	
				$('.next').show(); 				
				
			}
	
	}
	 
	function mostrarElementos(indice){
		
			 closeNav();
			if(indice == -3){
				$('#portada').show(); 
				$('#sliders .contenerdorSlide, .back').hide(); 
				$('#sliders').css('margin-top','68px');
				$('#introduccion').hide(); 
				$('#objetivos').hide(); 
			} else if(indice == -2){
				$('#portada').show(); 
				$('#sliders .contenerdorSlide, .back').hide(); 
				$('#sliders').css('margin-top','68px');
				$('#introduccion').hide(); 
				$('#objetivos').hide(); 
			} else if(indice == -1){
					$('#portada').hide();
					$('#introduccion').hide(); 					
					$('#objetivos').show(); 
			 	 $('#sliders').hide(); 
				$('#sliders').css('margin-top','68px');
				$('.back').show(); 
			
			} else if(indice == 49){
					 alert('La siguiente pregunta es abierta y no será evaluada.');
			}
			
			else{
				$('#sliders').show(); 
				$('#portada').hide(); 
				$('#introduccion').hide(); 
				$('#objetivos').hide(); 
				$('#sliders').css('margin-top','68px'); 
		 
				  $('.back,#sliders .contenerdorNum'+indice).show(); 
				
			}
		
			mostrarReferencias(indice);
			switch (indice) {
						case 0:
							 
						break; 
			}
						
	}
	


	function verRetro(elemento){
		var retro = 'retro'+elemento+'';	
			console.log('retro: '+retro);
		$('#'+retro).show();
		var name = 'respuesta['+elemento+']';
		 var opcionSeleccionada = $('input[name="'+ name +'"]:checked').val();
		$( 'input[name="'+ name +'"]' ).attr('disabled','disabled');
		
		//var respuesta = 'p'+elemento;
 		
		//alert(opcionSeleccionada);
	 
	}
	
	 
	
	
// crea una tabla desde json
function buildHtmlTable(selector,myList) {
  var columns = addAllColumnHeaders(myList, selector);

  for (var i = 0; i < myList.length; i++) {
    var row$ = $('<tr/>');
    for (var colIndex = 0; colIndex < columns.length; colIndex++) {
      var cellValue = myList[i][columns[colIndex]];
      if (cellValue == null) cellValue = "";
      row$.append($('<td/>').html(cellValue));
    }
    $(selector).append(row$);
  }
}


function addAllColumnHeaders(myList, selector) {
  var columnSet = [];
  var headerTr$ = $('<tr/>');

  for (var i = 0; i < myList.length; i++) {
    var rowHash = myList[i];
    for (var key in rowHash) {
      if ($.inArray(key, columnSet) == -1) {
        columnSet.push(key);
        headerTr$.append($('<th/>').html(key));
      }
    }
  }
  $(selector).append(headerTr$);

  return columnSet;
}

 
	
	 

 

/* Set the width of the side navigation to 0 */
function closeNav() {
    document.getElementById("mySidenav").style.width = "0";
}
